/*
 * Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.
 *
 */
package net.northking.cctp.dw.db.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.Size;
import java.util.Date;


@ApiModel(description = "")
public class DwManualExecDir {

    /**
     * <br>
     */
    @ApiModelProperty("")
    @Size(max = 32, message = "-id: 数据长度不能 > 32")
    private String id;
    /**
     * 目录名称<br>
     */
    @ApiModelProperty("目录名称")
    @Size(max = 100, message = "目录名称-dirName: 数据长度不能 > 100")
    private String dirName;
    /**
     * <br>
     */
    @ApiModelProperty("")
    @Size(max = 1000, message = "-idPath: 数据长度不能 > 1000")
    private String idPath;
    /**
     * <br>
     */
    @ApiModelProperty("")
    @Size(max = 1000, message = "-namePath: 数据长度不能 > 1000")
    private String namePath;
    /**
     * 目录层级<br>
     */
    @ApiModelProperty("目录层级")
    private Integer levelNo;
    /**
     * 系统id<br>
     */
    @ApiModelProperty("系统id")
    @Size(max = 32, message = "系统id-projectId: 数据长度不能 > 32")
    private String projectId;
    /**
     * 创建人<br>
     */
    @ApiModelProperty("创建人")
    @Size(max = 32, message = "创建人-createdBy: 数据长度不能 > 32")
    private String createdBy;
    /**
     * 创建时间<br>
     */
    @ApiModelProperty("创建时间")
    private Date createdTime;
    /**
     * 租户id<br>
     */
    @ApiModelProperty("租户id")
    @Size(max = 32, message = "租户id-tenantId: 数据长度不能 > 32")
    private String tenantId;
    /**
     * 逻辑删除(0-未删除,1-已删除)<br>
     */
    @ApiModelProperty("逻辑删除(0-未删除,1-已删除)")
    private Boolean deleted;

    /**
     * <br>
     */
    public String getId() {
        return id;
    }

    /**
     * <br>
     *
     * @param id
     */
    public void setId(String id) {
        this.id = id;
    }

    /**
     * 目录名称<br>
     */
    public String getDirName() {
        return dirName;
    }

    /**
     * 目录名称<br>
     *
     * @param dirName 目录名称
     */
    public void setDirName(String dirName) {
        this.dirName = dirName;
    }

    /**
     * <br>
     */
    public String getIdPath() {
        return idPath;
    }

    /**
     * <br>
     *
     * @param idPath
     */
    public void setIdPath(String idPath) {
        this.idPath = idPath;
    }

    /**
     * <br>
     */
    public String getNamePath() {
        return namePath;
    }

    /**
     * <br>
     *
     * @param namePath
     */
    public void setNamePath(String namePath) {
        this.namePath = namePath;
    }

    /**
     * 目录层级<br>
     */
    public Integer getLevelNo() {
        return levelNo;
    }

    /**
     * 目录层级<br>
     *
     * @param levelNo 目录层级
     */
    public void setLevelNo(Integer levelNo) {
        this.levelNo = levelNo;
    }

    /**
     * 系统id<br>
     */
    public String getProjectId() {
        return projectId;
    }

    /**
     * 系统id<br>
     *
     * @param projectId 系统id
     */
    public void setProjectId(String projectId) {
        this.projectId = projectId;
    }

    /**
     * 创建人<br>
     */
    public String getCreatedBy() {
        return createdBy;
    }

    /**
     * 创建人<br>
     *
     * @param createdBy 创建人
     */
    public void setCreatedBy(String createdBy) {
        this.createdBy = createdBy;
    }

    /**
     * 创建时间<br>
     */
    public Date getCreatedTime() {
        if (createdTime != null) {
            return (Date) createdTime.clone();
        }
        return null;
    }

    /**
     * 创建时间<br>
     *
     * @param createdTime 创建时间
     */
    public void setCreatedTime(Date createdTime) {
        if (createdTime != null) {
            this.createdTime = (Date) createdTime.clone();
        }
    }

    /**
     * 租户id<br>
     */
    public String getTenantId() {
        return tenantId;
    }

    /**
     * 租户id<br>
     *
     * @param tenantId 租户id
     */
    public void setTenantId(String tenantId) {
        this.tenantId = tenantId;
    }

    /**
     * 逻辑删除(0-未删除,1-已删除)<br>
     */
    public Boolean getDeleted() {
        return deleted;
    }

    /**
     * 逻辑删除(0-未删除,1-已删除)<br>
     *
     * @param deleted 逻辑删除(0-未删除,1-已删除)
     */
    public void setDeleted(Boolean deleted) {
        this.deleted = deleted;
    }

    public DwManualExecDir() {

    }

}
